# miniwol
Small web server to send Wake-on-LAN requests to its local network

## Features
- Fully static frontend without JS
- Binary includes everything except config

## Installation
Option 1: Run `go build` in this repository, results in a binary `./miniwol`.

Option 2: Run `go get git.ulra.eu/adro/miniwol`, results in a binary `~/go/bin/miniwol`.

Move the binary to e.G. `/usr/bin/miniwol` to run it like any command,

## Usage
Add an empty config. The program uses, in order of priority, `./config.toml`, `./config/config.toml` and `/etc/miniwol/config.toml`. Make sure miniwol can write to it.

Set a password using `miniwol setpass <password>`. This will also add any missing fields defaults to the config.

Configure the devices you want to be able to wake up as per the [example](./example/config.toml).

Run the webserver using `miniwol` or `miniwol web` .

Sessions are in-memory. Restarting the webserver clears all sessions.
